# ApiHBaseSnapshot Data Model

An HBase snapshot descriptor.

Properties
name | data type | description
--- | --- | ---
snapshotName | string | Snapshot name.
tableName | string | Name of the table this snapshot is for.
creationTime | string | Snapshot creation time.
storage | Storage | Whether the snapshot is local or remote.
storageLocation | string | The remote location where a snapshot is stored. /* Optional - location comes from HBase service config if this is not defined

Example

    {
      "snapshotName" : "...",
      "tableName" : "...",
      "creationTime" : "...",
      "storage" : "LOCAL",
      "storageLocation" : "..."
    }